Self-built APP scan code login: APP end modifies QR code status
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
This endpoint is used to modify the QR code status in the self-built APP scan code login, which corresponds to the process of terminal users scanning the code, confirming authorization, and canceling authorization after the browser renders the QR code. This interface requires the user's login status.
Method name
AuthenticationClient.changeQrCodeStatus
Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| action | string | yes | - | Action to change QR code status: - SCAN: Change the QR code status to scanned status. This operation should be performed immediately after the mobile APP scans the code;- CONFIRM: Change the QR code status to authorized. Before performing this operation, the SCAN operation must be performed first;<br>- CANCEL: Change the QR code status to canceled. Before performing this operation, the SCAN operation must be performed first; | CONFIRM |
| qrcodeId | string | yes | - | QR code unique ID |
Request response
Type: CommonResponseDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful, 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List |
| requestId | string | Request ID. Returned when the request fails. |
Sample result:
json
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c"
}